module.exports = {
    title: 'BDTP-数据服务',
    description: 'Just playing around',
    plugins: ['@vuepress/back-to-top'],
    themeConfig: {
        nav: [
            { text: '主页', link: '/' },
            { text: '通用查询接口', link: '/utils/query' },
            { text: '物理世界', link: '/rwd/' },
            { text: '数据标准化', link: '/dic/' }
        ],

        sidebarDepth: 2,
        displayAllHeaders: true,
        sidebar: {
            '/utils/query': [
                {
                    title: '通用查询接口',
                    collapsable: false,
                    children: [{ title: '通用查询', path: '/utils/query' }]
                }
            ],
            '/dic': [
                {
                    title: '数据标准化',
                    collapsable: false,
                    children: [{ title: '接口文档', path: '/dic/dic_api' }, { title: '数据结构设计', path: '/dic/dic_design' }, { title: '知识库', path: '/dic/knowledge' }, { title: '建表语句', path: '/dic/dic_ddl_sql' }]
                }
            ],
            '/rwd': [
                {
                    title: '定义数据',
                    collapsable: false,
                    children: [{ title: '类型定义', path: '/rwd/def_class' }, { title: '信息点定义', path: '/rwd/def_funcid' }]
                },
                {
                    title: '订阅功能',
                    path: '/rwd/schema'
                },
                {
                    title: '实例数据',
                    collapsable: false,
                    children: [{ title: '对象数据', path: '/rwd/instance_object' }, { title: '关系数据', path: '/rwd/instance_relation' }]
                },
                { title: 'IOT', path: '/rwd/iot' }
            ],
        }
    }
}
